%define upstream_name    Alien-wxWidgets
%define upstream_version 0.69

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4
Summary:    Building, finding and using wxWidgets binaries
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Alien/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Alien-wxWidgets-0.43-fix-wrong-libname.patch

# No binaries in this package
%define debug_package %{nil}

BuildRequires: perl(ExtUtils::CBuilder) >= 0.240.0
BuildRequires: perl(File::Spec) >= 1.500.0
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Module::Pluggable) >= 2.600.0
BuildRequires: wxgtku2.8-devel

Obsoletes: perl-Alien-wxWidgets < 0.670.0-4

%description
In short Alien::wxWidgets can be used to detect and get configuration settings
from an installed wxWidgets.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# fix bug 45256
%autopatch -p0

%build
%__perl Build.PL --installdirs=vendor < /dev/null
./Build

%install
./Build install --destdir=%{buildroot}

%check
./Build test

%files 
%doc Changes META.json META.yml MYMETA.yml
%{perl_vendorarch}/*
%{_mandir}/*/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.690.0-4.mga8
+ Revision: 1507575
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 0.690.0-3.mga7
+ Revision: 1290282
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.690.0-2.mga7
+ Revision: 1162800
- rebuild with fixed rpm for missing autodeps

* Thu Sep 21 2017 guillomovitch <guillomovitch> 0.690.0-1.mga7
+ Revision: 1156572
- new version 0.69

* Sat Jun 18 2016 pterjan <pterjan> 0.670.0-7.mga6
+ Revision: 1022494
- Rebuild for perl 5.22.2

* Tue Feb 16 2016 umeabot <umeabot> 0.670.0-6.mga6
+ Revision: 962010
- Mageia 6 Mass Rebuild

* Fri Oct 16 2015 tv <tv> 0.670.0-5.mga6
+ Revision: 892225
- revert: this package cannot be noarch as it breaks building perl-Wx either on x86_64 or i586

* Wed Sep 30 2015 sander85 <sander85> 0.670.0-4.mga6
+ Revision: 885335
- Convert to noarch package

* Sat Jun 27 2015 tv <tv> 0.670.0-3.mga6
+ Revision: 846045
- rebuild for soname-ifed perl

* Fri Jun 26 2015 tv <tv> 0.670.0-2.mga6
+ Revision: 844730
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.670.0-1.mga6
+ Revision: 840772
- update to 0.67

* Wed Oct 15 2014 umeabot <umeabot> 0.650.0-4.mga5
+ Revision: 745116
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.650.0-3.mga5
+ Revision: 683469
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.650.0-2.mga5
+ Revision: 630790
- Rebuild for perl 5.20

* Thu Apr 17 2014 jquelin <jquelin> 0.650.0-1.mga5
+ Revision: 615379
- update to 0.65

* Sat Oct 19 2013 umeabot <umeabot> 0.640.0-2.mga4
+ Revision: 526307
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 0.640.0-1.mga4
+ Revision: 436557
- update to 0.64

* Wed May 29 2013 jquelin <jquelin> 0.620.0-3.mga4
+ Revision: 430543
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.620.0-2.mga3
+ Revision: 362923
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 jquelin <jquelin> 0.620.0-1.mga3
+ Revision: 302422
- update to 0.62

* Wed Sep 26 2012 jquelin <jquelin> 0.610.0-1.mga3
+ Revision: 297965
- update to 0.61

* Tue Jun 05 2012 jquelin <jquelin> 0.590.0-1.mga3
+ Revision: 254567
- update to 0.59

* Wed May 30 2012 jquelin <jquelin> 0.550.0-2.mga3
+ Revision: 250262
- rebuild for perl 5.16

* Mon Mar 05 2012 jquelin <jquelin> 0.550.0-1.mga2
+ Revision: 218767
- update list of files
- update to 0.55

* Thu Nov 10 2011 kharec <kharec> 0.540.0-1.mga2
+ Revision: 166097
- update to 0.54

* Thu Oct 13 2011 jquelin <jquelin> 0.530.0-1.mga2
+ Revision: 154516
- update to 0.53
+ ahmad <ahmad>
- Rebuild against wxgtk2.8 with enabled catch_segvs

* Wed Jun 15 2011 jquelin <jquelin> 0.520.0-1.mga2
+ Revision: 106453
- update to 0.52

* Sat Jun 11 2011 jquelin <jquelin> 0.510.0-3.mga2
+ Revision: 103447
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.510.0-2.mga1
+ Revision: 31715
- mageia rebuild
- imported package perl-Alien-wxWidgets


* Tue Jul 20 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.510.0-2mdv2011.0
+ Revision: 555419
- rebuild

* Wed Mar 31 2010 Jérôme Quelin <jquelin@mandriva.org> 0.510.0-1mdv2010.1
+ Revision: 530257
- update to 0.51

* Mon Jan 11 2010 Jérôme Quelin <jquelin@mandriva.org> 0.500.0-1mdv2010.1
+ Revision: 489512
- update to 0.50

* Sun Jan 10 2010 Jérôme Quelin <jquelin@mandriva.org> 0.490.0-1mdv2010.1
+ Revision: 488600
- update to 0.49

* Mon Dec 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.480.0-1mdv2010.1
+ Revision: 483033
- update to 0.48

* Sun Dec 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.470.0-1mdv2010.1
+ Revision: 474072
- update to 0.47

* Mon Nov 09 2009 Jérôme Quelin <jquelin@mandriva.org> 0.460.0-1mdv2010.1
+ Revision: 463365
- update to 0.46

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.450.0-1mdv2010.1
+ Revision: 461256
- update to 0.45

* Tue Aug 11 2009 Jérôme Quelin <jquelin@mandriva.org> 0.440.0-1mdv2010.0
+ Revision: 414986
- update to 0.44

* Fri Jul 24 2009 Jérôme Quelin <jquelin@mandriva.org> 0.430.0-1mdv2010.0
+ Revision: 399436
- using %%perl_convert_version
- fixed license field
- fix bug 45256

* Mon May 11 2009 Jérôme Quelin <jquelin@mandriva.org> 0.43-1mdv2010.0
+ Revision: 374412
- update to new version 0.43

* Sat May 09 2009 Jérôme Quelin <jquelin@mandriva.org> 0.42-4mdv2010.0
+ Revision: 373697
- forcing rebuild

* Sun Feb 15 2009 Jérôme Quelin <jquelin@mandriva.org> 0.42-3mdv2009.1
+ Revision: 340467
- removing non-unicode requirement

* Sat Feb 14 2009 Olivier Thauvin <nanardon@mandriva.org> 0.42-2mdv2009.1
+ Revision: 340293
- fix buildrequires

  + Jérôme Quelin <jquelin@mandriva.org>
    - fix bug #47728: part one

* Sun Nov 09 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.42-1mdv2009.1
+ Revision: 301424
- update to new version 0.42

* Tue Oct 28 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.41-1mdv2009.1
+ Revision: 297810
- update to new version 0.41

* Fri Oct 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.40-1mdv2009.1
+ Revision: 294619
- update to new version 0.40

* Tue Sep 09 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.39-1mdv2009.0
+ Revision: 283022
- update to new version 0.39

* Sun Aug 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.38-1mdv2009.0
+ Revision: 277940
- update to new version 0.38

* Mon Jun 30 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.37-1mdv2009.0
+ Revision: 230266
- update to new version 0.37

* Tue May 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.36-1mdv2009.0
+ Revision: 209315
- update to new version 0.36

* Tue May 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.35-1mdv2009.0
+ Revision: 201835
- update to new version 0.35

* Tue Apr 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.34-1mdv2009.0
+ Revision: 193735
- update to new version 0.34

* Sun Feb 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.33-2mdv2008.1
+ Revision: 164818
- despite containing only .pm files, this is not a noarch package
- rebuild

* Mon Jan 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.33-1mdv2008.1
+ Revision: 155666
- update to new version 0.33

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.32-1mdv2008.1
+ Revision: 105466
- import perl-Alien-wxWidgets


* Fri Nov 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.32-1mdv2008.1
- first mdv release 
